Skip to main content
/api/v1/book

Query Parameters

FieldTypeNeedDescriptionExample
”symbol”stringrequiredTrading pair symbolBTC
”agg_level”integernoAggregation level for price grouping. Defaults to 11
api/v1/book?symbol=BTC

Response

  • Status 200: Successfully retrieved book data
{
  "success": true,
  "data": {
    "s": "BTC",
    "l": [
      [
        {
          "p": "106504",
          "a": "0.26203",
          "n": 1
        },
        {
          "p": "106498",
          "a": "0.29281",
          "n": 1
        }
      ],
      [
        {
          "p": "106559",
          "a": "0.26802",
          "n": 1
        },
        {
          "p": "106564",
          "a": "0.3002",
          "n": 1
        },
      ]
    ],
    "t": 1751370536325
  },
  "error": null,
  "code": null
}
FieldTypeDescription
's'stringSymbol
'l'arrayTwo-dimensional array containing bids (index 0) and asks (index 1). Each index contains up to 10 levels.
't'integerResponse timestamp in milliseconds
'p'decimal stringPrice level
'a'decimal stringTotal amount at price level
'n'integerNumber of orders at level
  • Status 400: Invalid request parameters
  • Status 401: Unauthorized access
  • Status 500: Internal server error

Code Example (Python)

import requests

response = requests.get(
    "api.pacifica.fi/api/v1/book?symbol=BTC",
    headers={"Accept": "*/*"},
)

data = response.json()